Mercury API
CmdReadFlash Method (sector, address, length)
Namespaces ► ThingMagic ► SerialReader ► CmdReadFlash(Byte, UInt32, Byte)
Read the contents of flash from the specified address in the specified flash sector.
Declaration Syntax

C# | Visual Basic | Visual C++

    public byte[] CmdReadFlash(
    	byte sector,
    	uint address,
    	byte length
    )

    Public Function CmdReadFlash ( _
    	sector As Byte, _
    	address As UInteger, _
    	length As Byte _
    ) As Byte()

    public:
    array<unsigned char>^ CmdReadFlash(
    	unsigned char sector,
    	unsigned int address,
    	unsigned char length
    )

Parameters

sector (Byte)
  the flash sector, as described in the embedded module user manual

address (UInt32)
  the byte address to start reading from

length (Byte)
  the number of bytes to read. Limited to 248 bytes.

Return Value
the read data

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)